## qbc 0.9.0-1

=== debian/changelog ===
qbc (0.9.0-1) unstable; urgency=low

  * Initial release

 -- TERENYI Balazs <terenyi@freemail.hu>  Mon, 05 Sep 2011 11:43:43 +0200 

## qbc 0.9.1-1

=== Makefile ===
#############################################################################
# Makefile for building: qbc
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 4 12:35:42 2011
# Project:  qbc.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile qbc.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/maemo/qbc/src/src.pro -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/maemo/qbc/src/src.pro -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: qbc.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile qbc.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile qbc.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
check: sub-src-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: ../qbc
# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Sep 22 04:54:47 2011
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		keylistener.cpp \
		functionwindow.cpp \
		variablewindow.cpp \
		bcprocess.cpp moc_mainwindow.cpp \
		moc_keylistener.cpp \
		moc_functionwindow.cpp \
		moc_variablewindow.cpp \
		moc_bcprocess.cpp
OBJECTS       = main.o \
		mainwindow.o \
		keylistener.o \
		functionwindow.o \
		variablewindow.o \
		bcprocess.o \
		moc_mainwindow.o \
		moc_keylistener.o \
		moc_functionwindow.o \
		moc_variablewindow.o \
		moc_bcprocess.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = qbc
DESTDIR       = ../
TARGET        = ../qbc

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_functionwindow.h ui_variablewindow.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile src.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qbc1.0.0 || $(MKDIR) .tmp/qbc1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qbc1.0.0/ && $(COPY_FILE) --parents mainwindow.h keylistener.h functionwindow.h variablewindow.h bcprocess.h .tmp/qbc1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp keylistener.cpp functionwindow.cpp variablewindow.cpp bcprocess.cpp .tmp/qbc1.0.0/ && $(COPY_FILE) --parents mainwindow.ui functionwindow.ui variablewindow.ui .tmp/qbc1.0.0/ && (cd `dirname .tmp/qbc1.0.0` && $(TAR) qbc1.0.0.tar qbc1.0.0 && $(COMPRESS) qbc1.0.0.tar) && $(MOVE) `dirname .tmp/qbc1.0.0`/qbc1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qbc1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_keylistener.cpp moc_functionwindow.cpp moc_variablewindow.cpp moc_bcprocess.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_keylistener.cpp moc_functionwindow.cpp moc_variablewindow.cpp moc_bcprocess.cpp
moc_mainwindow.cpp: keylistener.h \
		bcprocess.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_keylistener.cpp: keylistener.h
	/usr/bin/moc $(DEFINES) $(INCPATH) keylistener.h -o moc_keylistener.cpp

moc_functionwindow.cpp: functionwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) functionwindow.h -o moc_functionwindow.cpp

moc_variablewindow.cpp: bcprocess.h \
		variablewindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) variablewindow.h -o moc_variablewindow.cpp

moc_bcprocess.cpp: bcprocess.h
	/usr/bin/moc $(DEFINES) $(INCPATH) bcprocess.h -o moc_bcprocess.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h ui_functionwindow.h ui_variablewindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h ui_functionwindow.h ui_variablewindow.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic mainwindow.ui -o ui_mainwindow.h

ui_functionwindow.h: functionwindow.ui
	/usr/bin/uic functionwindow.ui -o ui_functionwindow.h

ui_variablewindow.h: variablewindow.ui
	/usr/bin/uic variablewindow.ui -o ui_variablewindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp mainwindow.h \
		keylistener.h \
		bcprocess.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		keylistener.h \
		bcprocess.h \
		ui_mainwindow.h \
		functionwindow.h \
		variablewindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

keylistener.o: keylistener.cpp keylistener.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o keylistener.o keylistener.cpp

functionwindow.o: functionwindow.cpp functionwindow.h \
		ui_functionwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o functionwindow.o functionwindow.cpp

variablewindow.o: variablewindow.cpp variablewindow.h \
		bcprocess.h \
		ui_variablewindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o variablewindow.o variablewindow.cpp

bcprocess.o: bcprocess.cpp bcprocess.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o bcprocess.o bcprocess.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_keylistener.o: moc_keylistener.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_keylistener.o moc_keylistener.cpp

moc_functionwindow.o: moc_functionwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_functionwindow.o moc_functionwindow.cpp

moc_variablewindow.o: moc_variablewindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_variablewindow.o moc_variablewindow.cpp

moc_bcprocess.o: moc_bcprocess.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_bcprocess.o moc_bcprocess.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "../$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/bin/ 


install_desktop: first FORCE

=== debian/changelog ===
qbc (0.9.1-1) unstable; urgency=low

  * Fn button implemented (Functions window)
  * V button implemented (Variables window)
  * Various bugfixes

 -- TERENYI Balazs <terenyi@freemail.hu>  Fri, 04 Nov 2011 17:35:43 +0200 

=== debian/control ===
Source: qbc
Section: user/utilities
Priority: optional
Maintainer: TERENYI Balazs <terenyi@freemail.hu>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: qbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-application-manager, bc
Description: Calculator based on bc
 Frontend to bc, the GNU arbitrary precision calculator.
 More info on available commands at 
 http://www.gnu.org/software/bc/manual/bc.html
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2240
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
 SU1FB9sJBwkcDir0V1EAAApySURBVGje7ZptaFRXGsd/596beTEvapxJJplQ
 VulWutXW2C7GRk2t0lakSK1SQW37oS8SCgtbi9gupcWi0BYKpZSFQind7rf9
 4NKlXyyVpV2WUI1Fd6M0a6LUNWMyycxkZq4z9+Wc/RDvYcakOpEJC8teuOTm
 f2/OOc95nv/zdgL/v/67l6jlo6tXry4aGxv7veu6v7YsK2QYhgUYvu+jlEIp
 JX3fx/d9pJTSdV2llFJSSj2GYRgKUIZhYJqmCnDTNJUQAiEEUkp83weYam1t
 /e3999//99utzapFgEuXLv0ukUjsV0phWRamaaKUQkqpJ/U8D8/zcF0Xx3Hw
 PA+lVNU4hmHMui3LwrIsDMPA8zwKhQKe55FOp/8IrKiLAMCvTNNESsmZM2eC
 nUNKqRftui7lchnbtrFtm3K5PEsAACGE/imEIBKJ0NzcDIBt29x33300NzcT
 DoeX17KwmgQIhUIqEonw1VdfMTQ0RLFYxDAMvfu+7+udL5fLXL9+Hdd15xTg
 Zo0sWrSI5uZmfN+nXC7z3XffcejQIS1ovTSgwuEwk5OTTE9P07gsxNZtj6Ck
 wrRMlFQIQ2AIA9+XWNaMdhRgWRae42KYBqXSdYrlItfLNhMTE5iGQWPzInKZ
 PJZo4M9/OEE0GsWyrNsKrzehlo983xeVAwohcD0XDInjlpH4OK5DySlhWFBy
 Sjieg+s55As5rnsFrk1e5Z8X/oGvHDLpDJawMDFZ2tzKql+tRnkzGgVQSgVk
 ro8GPM8TwcINw8D3fEDiuj6GMHFdFwSYwuB6yUYphee5+NLHMA2Ur7AaLJYt
 a6WQs1mydAlgYAqLkBVmPDVOpcUEDqJuAtxwlZp4vvRQhsI0DXzfwzRNfF/i
 4xMKN+A4Lg1miAbNoRksEo4QjoS5eiUFSDwcjFAzia42JsbTVXPVKoBRqwYC
 EzKMmR01EShXYgkT5UpMBA3CxC05WMLAUCAkNBgmXsnFRGDdeE60xwlbIaLh
 CELC+L/HiS1rxTCMKiHqpgEpJUopIpEIsVgMpRRn/vov7f8dx8G2bXK5HPl8
 HsdxbrkAIQShUIhYLEYikaChoYGJiQmSySSZTKb+HJBSCqUUTz31FF9++SXN
 zc2EQiG9+FKpRD6fJ51Ok81mZzhxq/AvBE1NTXR2dtLZ2YlpmixZsoRQKMSO
 HTvqz4FgsFAoxDPPPINpmgghtKqDCW+kErXZ7o0obJpm4OkoFotMTExg23Z9
 TWgum6z8vVKQWiauDFLB95U/684B3/dFMPgLL7zAxMSEXsgrr7zCli1beOml
 l6rwl19+mc2bN9Pf38/k5KTG+/v76evrA+Cbb77hww8/1IuNxWK88cYbC8OB
 4Hl4eLjq3cjICFu2bJmFj46OsnnzZi5evFiFj42NaXecSqXIZDL6XTabnVPD
 9YjEesBkMlmVTd51111IKens7NQLE0LQ1dWFUoqOjo4qPB6P63Hj8XjVWB0d
 HfMWoKaM6fjx43/p6enZbpomDQ0NVSQOMlLP82oicBDNgxQ68P2u62LbtiZx
 Lpdj+/btoq4cEELw/fffk8lkNBEffPBBWlpaOHXqFLlcTv/NmjVrWLp0KYOD
 g9o0hBB0d3cTi8UAmJqa4vTp03ojFi1aRFdX17w0MC8vpJTizTffpLOzk/Hx
 cRzHYc+ePezdu5d33nmHRx99lHK5zLfffsuuXbvYu3cvR44cIZlMkkql8DyP
 5557jt27dwNw4sQJPv30U5588knS6TQDAwN89NFHCxKJdSpRKBSIxWIIIbhw
 4QKu6yKlpFAo8OOPP+L7PuFwWAteLBaJxWK0tLQwMDBAuVzW7xzHIZ/Pc/z4
 cWzb1pXeggSyYOAjR44wNTUFwBNPPEFPTw9SSl5//XWNAzz88MMoparwhx56
 iI0bN+rdfeyxx4hGo3rBjY2NCxMHgnQa4JFHHtHEC1IJz/PYsGHDnKZXiQsh
 dORVShGPx9m1axdKKVzX1ZG47tnoXLtRWdTX7PIqInDw/HO7vWAcGBgYYHp6
 Wmtg9erVtLS08MMPPzA9Pa0nfuCBB1iyZEkVLoRg7dq1OqOdmppicHBQb0Y0
 GqWzs3NBChqdSrz11lssXryYjo4OhoaG2LlzJ3v27OHYsWOsXbsW27ar8KNH
 j9Ld3Y3rupw7d45nn31Wm83XX3/NZ599RjweR0pJJpPhgw8+qEog617QFAoF
 otEop06dIp/P6+5DoVCgXC5TLper8GKxyOXLl6tqheByXZd8Pk9LS4v2ZAvi
 hSqvt99+m3Q6rYuZdevWoZTi0KFDuhjp6emhp6dH44EX6uvr015IKcXWrVuJ
 RCLaHBsbGxemIqu8+vr6kFLiOE5V76e3t3fO7wM8SBsCLwTQ1tbG008/jZRS
 e6F0Oj2v9cxLAKUUBw4cmOnp3OjMPf/882zcuJHXXnuNfD6vi5oAP3jwILlc
 DtOc6V4cOHCATZs2oZTi5MmTfPzxx3oTWltbOXjwYM27XzMHKt3a8PAwS5cu
 pb29nUwmw6VLl1BKcfHiRZYvX45SqgofGRnh3nvv1SQdGxvTYwbpdDabJZvN
 MjIyMu9AZsxXAx0dHYTDYaLRKEIIkskkAO3t7YyOjpJIJGbhxWKRZDL5s+n0
 ypUraW9vp729fWHa65988smJxx9/fKtlWdpe5xvAAvu/uTsthMD3fRzHoVgs
 Mjk5iW3bjI+Ps2/fPlE3DgSubXBwkKmpKR2YVq1axeLFizl79izFYhHf96vw
 c+fOUSwWkVJiGAZr1qyhtbVVV2BDQ0O6QRwKhVi2bFn9I3GgKaUUx44dY+XK
 lVy5coV8Ps+OHTvYvXs377//Pk1NTSSTSc6fP6/xd999l2QySTQaZXh4mP37
 97Nz504ATp48yeeff17VqTh69Gj9vVBlzlMoFCgUCgghZgWyu+++m9HR0VmB
 LJvNYpom+XxenxvM9E9nKrmfqz3q6kaDyPjqq69Wpc1BIAvw7u7uWXg2m0UI
 wYYNG+jt7dWLC/h0zz33kEqldM40Hzda8/lAoIH169fP2SPq6emZkzfr16+f
 RdxKTnmex+TkJNlstqruqHdJqQ/sDh8+TKlUolQqoZRi37599Pb2VhUuQgiN
 Hz58mFAoRLlcJpvN8uKLL7Jp0ybd7XBdlytXrlRpurILUq9kTvNgZGSERCJB
 V1cXmUyGy5cv64AlpWR6enoWnsvlyOVyZDIZUqlUVcIW8KDyDoqkemnAqFRp
 W1vbzLHRjQk6OjpQStHW1qarqUo8Ho+TSqW0ZgI3CZBIJHRJGYwRnLXV2pkT
 t3kXAZrfe++9P23btm1jrQdvtzpavTmYBcV90OH+6aefyOfz2LZNf3+/Aag7
 1YAFxIFfXrt2LZZKpbgTAYIoPNcdNMeCI9pCoaBbjTfmMgD/TgUwgUagfXJy
 Mjo0NDQv91YpQHAHHih4DgSoPCgPmryGYchaUp1bCeADWWDEdd2/+b7/izvR
 QCB08K8ENwtW6TZDoRBNTU3E43HOnz9/9nbmczsBPCANFL744ovfrFix4rRp
 muvmm8EGPKisrSs6EkIIoW4IoACmp6dlOp2+EolEjgGS//XrP2zeZV2vk0cY
 AAAAAElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := qbc
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
